#
# Conditional build:
%bcond_without	tests	# unit tests

%define		module	regex
Summary:	Alternative regular expression module, to replace re
Summary(pl.UTF-8):	Moduł wyrażeń regularnych alternatywny dla oryginalnego re
Name:		python3-%{module}
Version:	2022.8.17
Release:	1
License:	PSF, Apache v2.0
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/regex/
Source0:	https://files.pythonhosted.org/packages/source/r/regex/%{module}-%{version}.tar.gz
# Source0-md5:	6b3c706a4d275af24f01496c10d516fa
URL:		https://bitbucket.org/mrabarnett/mrab-regex
BuildRequires:	python3-devel >= 1:3.6
BuildRequires:	python3-setuptools
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
Requires:	python3-modules >= 1:3.6
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Alternative regular expression module, to replace re.

%description -l pl.UTF-8
Moduł wyrażeń regularnych alternatywny dla oryginalnego re.

%prep
%setup -q -n %{module}-%{version}

%build
%py3_build

%if %{with tests}
# directory with test_regex.py must not contain regex*
install -d tests_3
ln regex_3/test_regex.py tests_3/test_regex.py
PYTHONPATH=$(echo $(pwd)/build-3/lib.*) \
%{__python3} tests_3/test_regex.py
%endif

%install
rm -rf $RPM_BUILD_ROOT

%py3_install

%{__rm} $RPM_BUILD_ROOT%{py3_sitedir}/regex/test_regex.py \
	$RPM_BUILD_ROOT%{py3_sitedir}/regex/__pycache__/test_regex.*

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc LICENSE.txt README.rst docs/Features.html
%dir %{py3_sitedir}/regex
%attr(755,root,root) %{py3_sitedir}/regex/_regex.cpython-*.so
%{py3_sitedir}/regex/*.py
%{py3_sitedir}/regex/__pycache__
%{py3_sitedir}/%{module}-%{version}-py*.egg-info
%changelog
* Sat Sep 17 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-regex.git;a=log;h=master

* Sat Sep 10 2022 Jakub Bogusz <qboosh@pld-linux.org> 896a794
- updated to 2022.8.17

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> 71d93fd
- rebuild with tests and docs

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> de2fe87
- rebuild with python 3.10

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> 0aed75b
- rebuild with python 3.10

* Sat Mar 19 2022 Jakub Bogusz <qboosh@pld-linux.org> 4d7e50c
- python-regex.spec updated to 2022.3.15 for python 3.6+

* Sat Mar 19 2022 Jakub Bogusz <qboosh@pld-linux.org> 6ff9ebf
- updated to 2021.3.17 (the last version with python2 support)

* Sat Nov 20 2021 Jan Rękorajski <baggins@pld-linux.org> 8c8e044
- rebuild with separate debuginfo build-ids

* Fri Feb 26 2021 Jan Rękorajski <baggins@pld-linux.org> 4d6e32b
- release 2 (by relup.sh)

* Fri Feb 05 2021 Jakub Bogusz <qboosh@pld-linux.org> 1154056
- updated to 2020.11.13

* Mon Oct 28 2019 Jakub Bogusz <qboosh@pld-linux.org> f275311
- BR: python-setuptools

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> 3d19377
- rebuild with python 3.8
- release 3 (by relup.sh)

* Tue Jul 03 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> f733d56
- release 2 (by relup.sh)

* Thu May 10 2018 Jan Rękorajski <baggins@pld-linux.org> bfee445
- up to 2018.02.21

* Mon Nov 06 2017 Mateusz Korniak <matkor@pld-linux.org> 511e846
- Initial version: 2017.09.23

